Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230608 - missing config.h in latest -14
Summary: missing config.h in latest -14
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 222042 230689
TreeView+ depends on / blocked
 
Reported: 2007-03-01 18:57 UTC by Balint Cristian
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 11:18:40 UTC


Attachments (Terms of Use)

Description Balint Cristian 2007-03-01 18:57:07 UTC
Description of problem:
missing config.h

i think latest -devel doesnt ship that header file.

Version-Release number of selected component (if applicable):
perl-5.8.8-14.fc7

How reproducible:
--

Steps to Reproduce:

[root@rezso SPECS]# 
rpm --root=/var/lib/mock/fedora-development-i386-core/root/ -ql perl | grep 
config.h | grep CORE
[root@rezso SPECS]# 
rpm --root=/var/lib/mock/fedora-development-x86_64-core/root/ -ql perl | grep 
config.h | grep CORE
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/config.h
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/uconfig.h

[root@rezso SPECS]# 
rpm --root=/var/lib/mock/fedora-development-x86_64-core/root/ -q perl
perl-5.8.8-12.fc7
[root@rezso SPECS]# 
rpm --root=/var/lib/mock/fedora-development-i386-core/root/ -q perl
perl-5.8.8-14.fc7

Comment 1 Robin Norwood 2007-03-01 19:38:43 UTC
Balint,

Yes, this is related to our splitting out perl-devel in -14 - 'yum install
perl-devel' should fix the problem.  See bug #226276

Comment 2 Balint Cristian 2007-03-02 11:18:40 UTC
dohh ...  sorry !

I was _very_ dumb at that late hours ... didnt notice that.

thx !


Comment 3 Warren Togami 2007-03-05 15:39:32 UTC
Just talked with Robin.  Proposed to make this this transition smoother in the
future is to add "Provides: perl-devel" to the older versions of the perl
package when perl is updated in those distros.


Note You need to log in before you can comment on or make changes to this bug.